# $Id: libdvdnav.spec,v 1.5 2003/02/16 18:39:13 dude Exp $

Summary: DVD menu navigation library.
Name: libdvdnav
Version: 0.1.4
Release: fr0.2note2
Group: System Environment/Libraries
License: GPL
URL: http://dvd.sourceforge.net/
Source: %{name}-%{version}note2.tar.gz
Buildroot: %{_tmppath}/%{name}-root
Requires: libdvdread
BuildRequires: libdvdread-devel, doxygen

%description
The libdvdnav library provides support to applications wishing to make use
of advanced DVD features.


%package devel
Summary: Development files for the libdvdnav DVD menu navigation library.
Group: Development/Libraries
Requires: %{name} = %{version}

%description devel
The libdvdnav library provides support to applications wishing to make use
of advanced DVD features.

This package contains the libraries and header files needed to develop
applications which will use libdvdnav.


%prep
%setup -q -n %{name}-%{version}note2

%build
%configure
make

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc AUTHORS ChangeLog COPYING NEWS README TODO
%{_libdir}/*.so.*

%files devel
%defattr(-, root, root)
%{_bindir}/dvdnav-config
%{_libdir}/*.la
%{_libdir}/*.so
%{_includedir}/dvdnav

%changelog
* Sun Feb 16 2003 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Rebuild against new libdvdread.

* Sun Jan 12 2003 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to latest CVS since xine 1beta2 needs version 0.1.4.

* Wed Oct 23 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Rebuilt for Red Hat Linux 8.0.
- Split devel package.

* Mon Aug 20 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Spec file cleanup and fixes.

* Sun Mar 18 2002 Daniel Caujolle-Bert <f1rmb@users.sourceforge.net>
- Add missing files. Fix rpm generation.

* Tue Mar 12 2002 Rich Wareham <richwareham@users.sourceforge.net>
- Canabalisation to form libdvdnav spec file.

* Sun Sep 09 2001 Thomas Vander Stichele <thomas@apestaart.org>
- first spec file

